/***
 * Excerpted from "C Brain Teasers",
 * published by The Pragmatic Bookshelf.
 * Copyrights apply to this code. It may not be used to create training material,
 * courses, books, articles, and the like. Contact us if you are in doubt.
 * We make no guarantees that this code is fit for any purpose.
 * Visit https://pragprog.com/titles/cbrain for more book information.
***/
#include <stdio.h>

double babylonian(double r)
{
	double low,high;
	int x;
	const int precision = 7;

	low = 1.0;
	high = r;
	for( x=0; x<precision; x++ )
	{
		high = (high+low)/2.0;
		low = r/high;
	}
	return(low);
}

int main()
{
	double pv,sr;

	printf("Enter a positive value: ");
	scanf("%lf",&pv);
	if( pv <= 0 )
		return(1);
	sr = babylonian(pv);
	printf("The result is %f\n",sr);

	return(0);
}
