/***
 * Excerpted from "C Brain Teasers",
 * published by The Pragmatic Bookshelf.
 * Copyrights apply to this code. It may not be used to create training material,
 * courses, books, articles, and the like. Contact us if you are in doubt.
 * We make no guarantees that this code is fit for any purpose.
 * Visit https://pragprog.com/titles/cbrain for more book information.
***/
#include <stdio.h>

int main()
{
	const int limit = 1000000;
	int x;
	float t;

	/* divergent */
	t = 0.0;
	for(x=1; x<=limit; x++ )
		t += 1.0 / (float)x;
	printf("Divergent: %.4f\n",t);

	/* convergent */
	t = 0.0;
	for(x=1; x<=limit; x*=2 )
		t += 1.0 / (float)x;
	printf("Convergent: %.4f\n",t);

	return(0);
}
